#pragma once
#include "DynamicLocation.h"
#include "../../UnitRecord/UnitRecord.h"

/**
 * @brief Dynamic location evolving with respect to a particular unit record.
 */
class UnitDynamicLocation : public DynamicLocation
{
public:
  UnitDynamicLocation(UnitRecord* unit)
    : m_unit(this, unit)
  {
  }

  UnitRecord* getUnitRecord() const
  {
    return m_unit;
  }

protected:
  AutoPtr<UnitRecord> const m_unit;
};